package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

/**
 * 需求：编写一个 Servlet，如果浏览器的语言是 zh-CN，显示“你好，聪明的中国人！”， 如果浏览器的语言设置为 en-US,那么则显示“Hello，American”
 */
public class LanguageServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String header = req.getHeader("accept-language");
        req.setCharacterEncoding("utf-8");
        resp.setContentType("text/html;charset=utf-8");

        PrintWriter out = resp.getWriter();
        out.println(" <!DOCTYPE html>");
        out.println("<html lang='en'>");
        out.println(" <head>");
        out.println(" <meta charset='UTF-8'>");
        out.println("<title>itbaizhan</title>");
        out.println("<meta name='Generator' content='EditPlus'>");
        out.println(" <meta name='Author' content=''>");
        out.println(" <meta name='Keywords' content=''>");
        out.println(" <meta name='Description' content=''>");
        out.println(" </head>");
        out.println(" <body>");


        if(header.contains("zh-CN")){
            out.println("支持中文");
        }else if(header.contains("en-US")){
            out.println("支持英语");
        }else {
            out.println("支持其他语言");
        }

        out.println(" </body>");
        out.flush();
        out.close();
    }
}
